<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.usky.iot.mapper.BaseScreenMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.usky.iot.domain.BaseScreen">
        <id column="id" property="id"/>
        <result column="screen_code" property="screenCode"/>
        <result column="screen_title" property="screenTitle"/>
        <result column="screen_subtitle" property="screenSubtitle"/>
        <result column="screen_group" property="screenGroup"/>
        <result column="is_default" property="isDefault"/>
        <result column="screen_address" property="screenAddress"/>
        <result column="order_num" property="orderNum"/>
        <result column="thumbnail_url" property="thumbnailUrl"/>
        <result column="remark" property="remark"/>
        <result column="created_by" property="createdBy"/>
        <result column="created_time" property="createdTime"/>
        <result column="updated_by" property="updatedBy"/>
        <result column="updated_time" property="updatedTime"/>
        <result column="tenant_id" property="tenantId"/>
    </resultMap>

</mapper>
